=== modified file 'extra/include.am'
--- extra/include.am	2010-08-20 23:13:32 +0000
+++ extra/include.am	2010-09-13 18:09:31 +0000
@@ -2,9 +2,6 @@
 # included from Top Level Makefile.am
 # All paths should be given relative to the root
 
-
-extra_my_print_defaults_SOURCES= extra/my_print_defaults.cc
-extra_my_print_defaults_LDADD= $(CLIENT_LDADD)
-
-noinst_PROGRAMS+= extra/my_print_defaults
+noinst_PROGRAMS+= \
+		  extra/mysql_password_hash
 extra_mysql_password_hash_LDADD= libdrizzle/libdrizzle.la

=== removed file 'extra/my_print_defaults.cc'
--- extra/my_print_defaults.cc	2010-03-30 09:29:02 +0000
+++ extra/my_print_defaults.cc	1970-01-01 00:00:00 +0000
@@ -1,181 +0,0 @@
-/* Copyright (C) 2000 MySQL AB
-
-   This program is free software; you can redistribute it and/or modify
-   it under the terms of the GNU General Public License as published by
-   the Free Software Foundation; version 2 of the License.
-
-   This program is distributed in the hope that it will be useful,
-   but WITHOUT ANY WARRANTY; without even the implied warranty of
-   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-   GNU General Public License for more details.
-
-   You should have received a copy of the GNU General Public License
-   along with this program; if not, write to the Free Software
-   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */
-
-/*
-**  print_default.c:
-**  Print all parameters in a default file that will be given to some program.
-**
-**  Written by Monty
-*/
-
-#include "config.h"
-#include "drizzled/internal/my_sys.h"
-#include "drizzled/internal/m_string.h"
-#include "drizzled/option.h"
-
-#include <stdio.h>
-
-using namespace drizzled;
-
-const char *config_file="drizzle";		/* Default config file */
-uint32_t verbose= 0, opt_defaults_file_used= 0;
-
-static struct option my_long_options[] =
-{
-  /*
-    NB: --config-file is troublesome, because get_defaults_options() doesn't
-    know about it, but we pretend --config-file is like --defaults-file.  In
-    fact they behave differently: see the comments at the top of
-    mysys/default.c for how --defaults-file should behave.
-
-    This --config-file option behaves as:
-    - If it has a directory name part (absolute or relative), then only this
-      file is read; no error is given if the file doesn't exist
-    - If the file has no directory name part, the standard locations are
-      searched for a file of this name (and standard filename extensions are
-      added if the file has no extension)
-  */
-  {"config-file", 'c', "Deprecated, please use --defaults-file instead.  Name of config file to read; if no extension is given, default extension (e.g., .ini or .cnf) will be added",
-   (char**) &config_file, (char**) &config_file, 0, GET_STR, REQUIRED_ARG,
-   0, 0, 0, 0, 0, 0},
-  {"defaults-file", 'c', "Like --config-file, except: if first option, then read this file only, do not read global or per-user config files; should be the first option",
-   (char**) &config_file, (char**) &config_file, 0, GET_STR, REQUIRED_ARG,
-   0, 0, 0, 0, 0, 0},
-  {"defaults-extra-file", 'e',
-   "Read this file after the global config file and before the config file in the users home directory; should be the first option",
-   (char**) &internal::my_defaults_extra_file, (char**) &internal::my_defaults_extra_file, 0,
-   GET_STR, REQUIRED_ARG, 0, 0, 0, 0, 0, 0},
-  {"defaults-group-suffix", 'g',
-   "In addition to the given groups, read also groups with this suffix",
-   (char**) &internal::my_defaults_group_suffix, (char**) &internal::my_defaults_group_suffix,
-   0, GET_STR, REQUIRED_ARG, 0, 0, 0, 0, 0, 0},
-  {"extra-file", 'e',
-   "Deprecated. Synonym for --defaults-extra-file.",
-   (char**) &internal::my_defaults_extra_file,
-   (char**) &internal::my_defaults_extra_file, 0, GET_STR,
-   REQUIRED_ARG, 0, 0, 0, 0, 0, 0},
-  {"no-defaults", 'n', "Return an empty string (useful for scripts).",
-   0, 0, 0, GET_NO_ARG, NO_ARG, 0, 0, 0, 0, 0, 0},
-  {"help", '?', "Display this help message and exit.",
-   0, 0, 0, GET_NO_ARG, NO_ARG, 0, 0, 0, 0, 0, 0},
-  {"verbose", 'v', "Increase the output level",
-   0, 0, 0, GET_NO_ARG, NO_ARG, 0, 0, 0, 0, 0, 0},
-  {"version", 'V', "Output version information and exit.",
-   0, 0, 0, GET_NO_ARG, NO_ARG, 0, 0, 0, 0, 0, 0},
-  {0, 0, 0, 0, 0, 0, GET_NO_ARG, NO_ARG, 0, 0, 0, 0, 0, 0}
-};
-
-static void usage(bool version)
-{
-  printf("%s  Ver 1.6 for %s-%s at %s\n",internal::my_progname,HOST_VENDOR,HOST_OS,
-	 HOST_CPU);
-  if (version)
-    return;
-  puts("This software comes with ABSOLUTELY NO WARRANTY. This is free software,\nand you are welcome to modify and redistribute it under the GPL license\n");
-  puts("Prints all arguments that is give to some program using the default files");
-  printf("Usage: %s [OPTIONS] groups\n", internal::my_progname);
-  my_print_help(my_long_options);
-  internal::my_print_default_files(config_file);
-  my_print_variables(my_long_options);
-  printf("\nExample usage:\n%s --defaults-file=example.cnf client mysql\n", internal::my_progname);
-}
-
-static int get_one_option(int optid, const struct option *, char *)
-{
-  switch (optid) {
-    case 'c':
-      opt_defaults_file_used= 1;
-      break;
-    case 'n':
-    exit(0);
-    case 'I':
-    case '?':
-    usage(0);
-    exit(0);
-    case 'v':
-      verbose++;
-      break;
-    case 'V':
-    usage(1);
-    exit(0);
-  }
-  return 0;
-}
-
-
-static int get_options(int *argc,char ***argv)
-{
-  int ho_error;
-
-  if ((ho_error=handle_options(argc, argv, my_long_options, get_one_option)))
-    exit(ho_error);
-
-  if (*argc < 1)
-  {
-    usage(0);
-    return 1;
-  }
-  return 0;
-}
-
-
-int main(int argc, char **argv)
-{
-  int count, error, args_used;
-  char **load_default_groups, *tmp_arguments[6];
-  char **argument, **arguments, **org_argv;
-  char *defaults, *extra_defaults, *group_suffix;
-  MY_INIT(argv[0]);
-
-  org_argv= argv;
-  args_used= internal::get_defaults_options(argc, argv, &defaults, &extra_defaults,
-                                            &group_suffix);
-
-  /* Copy defaults-xxx arguments & program name */
-  count=args_used+1;
-  arguments= tmp_arguments;
-  memcpy(arguments, org_argv, count * sizeof(*org_argv));
-  arguments[count]= 0;
-
-  /* Check out the args */
-  if (!(load_default_groups=(char**) malloc((argc+1)*sizeof(char*))))
-    exit(1);
-  if (get_options(&argc,&argv))
-    exit(1);
-  memcpy(load_default_groups, argv, (argc + 1) * sizeof(*argv));
-
-  if ((error= internal::load_defaults(config_file, (const char **) load_default_groups,
-			   &count, &arguments)))
-  {
-    if (verbose && opt_defaults_file_used)
-    {
-      if (error == 1)
-	fprintf(stderr, "WARNING: Defaults file '%s' not found!\n",
-		config_file);
-      /* This error is not available now. For the future */
-      if (error == 2)
-	fprintf(stderr, "WARNING: Defaults file '%s' is not a regular file!\n",
-		config_file);
-    }
-    error= 2;
-  }
-
-  for (argument= arguments+1 ; *argument ; argument++)
-    puts(*argument);
-  free((char*) load_default_groups);
-  internal::free_defaults(arguments);
-
-  return error;
-}

=== modified file 'libdrizzle/include.am'
--- libdrizzle/include.am	2010-08-21 03:34:31 +0000
+++ libdrizzle/include.am	2010-09-13 18:09:31 +0000
@@ -16,7 +16,6 @@
 endif
 
 noinst_PROGRAMS+= \
-	extra/mysql_password_hash \
 	examples/client \
 	examples/simple \
 	examples/simple_multi \

=== modified file 'tests/test-run.pl'
--- tests/test-run.pl	2010-09-13 02:32:07 +0000
+++ tests/test-run.pl	2010-09-13 18:09:31 +0000
@@ -149,7 +149,6 @@
 our $exe_drizzle_fix_system_tables;
 our $exe_drizzletest;
 our $exe_slave_mysqld;
-our $exe_my_print_defaults;
 our $exe_perror;
 our $lib_udf_example;
 our $lib_example_plugin;
@@ -1251,13 +1250,6 @@
     }
   }
 
-# Look for my_print_defaults
-  $exe_my_print_defaults=
-    mtr_exe_exists(
-        "$path_client_bindir/my_print_defaults",
-        "$glob_basedir/extra/my_print_defaults",
-        "$glob_builddir/extra/my_print_defaults");
-
 # Look for perror
   $exe_perror= "perror";
 
@@ -1587,11 +1579,6 @@
   }
 
   # ----------------------------------------------------
-  # Setup env so childs can execute my_print_defaults
-  # ----------------------------------------------------
-  $ENV{'DRIZZLE_MY_PRINT_DEFAULTS'}= mtr_native_path($exe_my_print_defaults);
-
-  # ----------------------------------------------------
   # Setup env so childs can shutdown the server
   # ----------------------------------------------------
   $ENV{'DRIZZLED_SHUTDOWN'}= mtr_native_path($exe_drizzle);

